# `profile-sample-use`

---

`-Zprofile-sample-use=code.prof` directs `rustc` to use the profile
`code.prof` as a source for Automatic Feedback Directed Optimization (AFDO).
See the documentation of [`-Zdebug-info-for-profiling`] for more information
on using AFDO.

[`-Zdebug-info-for-profiling`]: debug_info_for_profiling.html
